## cecilia 2.0.5

=== Makefile ===
# Cecilia 
# $Id: Makefile,v 1.3 2003/02/02 04:54:49 eighthave Exp $
# very simple Makefile by Stephen Burgess


prefix = /usr/local
bindir = ${prefix}/bin
libdir = ${prefix}/lib/cecilia


install:
	mkdir -p $(libdir)
	cp -r files $(libdir)
	cp -r lib $(libdir)
	cp cecilia-tcl $(bindir)
	cp cecilia $(bindir)

uninstall:
	rm -rf $(libdir)
	rm -f $(bindir)/cecilia $(bindir)/cecilia-tcl

## cecilia 5.0.7

=== debian/changelog ===
cecilia (5.0.7-3) unstable; urgency=low

  * Add manpage.
  * Add Desktop menu item. (Closes: #427810)

 -- Tiago Bortoletto Vaz <tiago@debian.org>  Mon, 28 Jan 2013 18:11:09 -0500

cecilia (5.0.7-2) experimental; urgency=low

  * Fixes patch. Now it uses the right path for modules.

 -- Tiago Bortoletto Vaz <tiago@debian.org>  Mon, 26 Nov 2012 23:53:58 -0500

cecilia (5.0.7-1) experimental; urgency=low

  * New upstream release. Software completely rewritten in python, so
    re-packaged.
  * Original maintainer agreed to have cecilia under pkg-multimedia team.
  * Adding myself as uploader.
  * Fix typo in package description. (Closes: #363195)
  * Fix file URL in debian/watch. (Closes: #450234)

 -- Tiago Bortoletto Vaz <tiago@debian.org>  Mon, 16 Jul 2012 14:00:06 -0400

cecilia (2.0.5-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Apply patch from Felipe Sateler to make cecilia works with csound 5;
    Closes: #476300
  * Update Uploaders list (Closes: #546950).

 -- Alessio Treglia <alessio@debian.org>  Mon, 20 Sep 2010 16:52:51 +0200

cecilia (2.0.5-2.1) unstable; urgency=high

  * Non-maintainer upload by the security team
  * Include 13CVE-2008-1832.dpatch to fix insecure tmp file handling,
    which allows a symlink attack (Closes: #476321)
    Fixes: CVE-2008-1832

 -- Steffen Joeris <white@debian.org>  Fri, 09 May 2008 11:47:07 +0000

cecilia (2.0.5-2) unstable; urgency=low

  * Added menu icon (closes: #299415)
  * Fixed watch file

 -- Free Ekanayaka <free@agnula.org>  Wed, 23 Mar 2005 12:19:06 +0100

cecilia (2.0.5-1) unstable; urgency=low

  * Uploaded to Debian (closes: #203901)

 -- Free Ekanayaka <free@agnula.org>  Sat, 13 Mar 2004 03:28:09 +0100

cecilia (2.0.5-0test4) unstable; urgency=low

  * debian/control: added tk8.4 dependency
  * debian/control: mantainer is now Free Ekanayaka
  * debian/changelog: new versioning scheme, now using X.Y-0testZ

 -- Free Ekanayaka <free@agnula.org>  Wed, 10 Dec 2003 13:55:11 +0600

cecilia (2.0.5-2test3) unstable; urgency=low

  * copyright file is now the way Debian likes it
  * cecilia.tcl moved from /usr/bin to /usr/lib/cecilia, otherwise it
    requires a man page

 -- Free Ekanayaka <free@agnula.org>  Thu, 27 Nov 2003 17:43:06 +0600

cecilia (2.0.5-2test2) unstable; urgency=low

  * debian/cecilia.1: added man page (by <d.phillips@agnula.org> 

 -- Andrea Glorioso <andrea.glorioso@agnula.org>  Mon, 24 Nov 2003 11:31:55 +0100

cecilia (2.0.5-2test1) unstable; urgency=low

  * New versioning scheme.
  * Switched to using dpatch. 

 -- Andrea Glorioso <andrea.glorioso@agnula.org>  Fri, 21 Nov 2003 16:26:33 +0100

cecilia (2.0.5-1.agnula-1) unstable; urgency=low

  * Repackaged for AGNULA.

 -- Free Ekanayaka <free@centrotemporeale.it>  Wed, 23 Jul 2003 12:43:30 +0200

## cecilia 5.0.7+svn391

=== debian/changelog ===
cecilia (5.0.7+svn391-1) unstable; urgency=low

  * Fixed crashes on audio start/stop.
  * Fixed audio/midi device handling.
  * Granulator: extended max grain size

 -- Tiago Bortoletto Vaz <tiago@debian.org>  Mon, 11 Feb 2013 12:58:10 -0500

cecilia (5.0.7+svn389-1) unstable; urgency=low

  * Start tracking upstream svn.
  * New modules added, some modules removed.
  * Many fixes since release 5.0.7, see svn history.

 -- Tiago Bortoletto Vaz <tiago@debian.org>  Wed, 06 Feb 2013 09:38:05 -0500

## cecilia 5.0.8

=== debian/changelog ===
cecilia (5.0.8-1) unstable; urgency=low

  * New upstream release.

 -- Tiago Bortoletto Vaz <tiago@debian.org>  Tue, 26 Feb 2013 13:06:48 -0500

=== debian/control ===
Source: cecilia
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Tiago Bortoletto Vaz <tiago@debian.org>, Free Ekanayaka <freee@debian.org>
Build-Depends: debhelper (>=7.0.50~), python-all
DM-Upload-Allowed: yes
Standards-Version: 3.9.3
XS-Python-Version: >= 2.6
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/cecilia.git
Vcs-Git: git://git.debian.org/git/pkg-multimedia/cecilia.git
Homepage: http://code.google.com/p/cecilia5

Package: cecilia
Architecture: all
Depends: python (>= 2.6), python-pyo (>= 0.6.2), python-numpy, ${misc:Depends}
Description: Sound synthesis and audio signal processing environment
 Cecilia is a graphic user interface for the sound synthesis and sound
 processing package CSound. Cecilia enables the user to build very
 quickly graphic interfaces with sliders and curves to control CSound
 instruments. It is also an editor to CSound with syntax highlighting
 and a built-in reference. It is also a great tool to explore the parameters
 of a new opcode in an interactive and intuitive way.
 .
 Cecilia uses the pyo audio engine created for the Python programming language.
 .
 Cecilia was designed by and for musicians and sound designers. All
 the traditional sound processing devices are included such as EQs,
 compressors and delays adapted for the most simple applications and
 the wildest imaginable sonic contortions.

## cecilia 5.0.9

=== debian/changelog ===
cecilia (5.0.9-1) unstable; urgency=low

  * New upstream release.

 -- Tiago Bortoletto Vaz <tiago@debian.org>  Thu, 28 Nov 2013 11:25:02 -0500

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,6 @@
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Tiago Bortoletto Vaz <tiago@debian.org>, Free Ekanayaka <freee@debian.org>
 Build-Depends: debhelper (>=7.0.50~), python-all
-DM-Upload-Allowed: yes
 Standards-Version: 3.9.3
 XS-Python-Version: >= 2.6
 Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/cecilia.git

=== debian/rules ===
#!/usr/bin/make -f

export PYTHONWARNINGS=d
buildvers := $(shell pyversions -rv)

%:
	dh $@ --with python2

override_dh_auto_install:
	set -e; \
	for i in $(buildvers); do \
		python$$i ./setup.py install --skip-build --skip-build --root $(CURDIR)/debian/cecilia --install-layout=deb; \
	done
	mv  $(CURDIR)/debian/cecilia/usr/bin/Cecilia5.py  $(CURDIR)/debian/cecilia/usr/bin/cecilia

override_dh_auto_clean:
	find . -name '*.pyc' -delete
	rm -rf build

# not to run
override_dh_compress:
	dh_compress --exclude=.sg --exclude=.aif --exclude=.aiff

## cecilia 5.2.0

=== debian/changelog ===
cecilia (5.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Fix wx3 compatibility issues. (Closes: #779690)
  * Add dh-python to Build-depends.
  * Fix patches.
  * Update Standards-Version.

 -- Tiago Bortoletto Vaz <tiago@debian.org>  Sat, 01 Aug 2015 09:14:30 -0400

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Tiago Bortoletto Vaz <tiago@debian.org>, Free Ekanayaka <freee@debian.org>
-Build-Depends: debhelper (>=7.0.50~), python-all
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>=7.0.50~), python-all, dh-python
+Standards-Version: 3.9.6
 XS-Python-Version: >= 2.6
 Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/cecilia.git
 Vcs-Git: git://git.debian.org/git/pkg-multimedia/cecilia.git

## cecilia 5.2.1

=== debian/changelog ===
cecilia (5.2.1-1) unstable; urgency=medium

  * New upstrema release.

 -- Tiago Bortoletto Vaz <tiago@debian.org>  Thu, 10 Mar 2016 00:38:21 -0500

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 override_dh_auto_install:
 	set -e; \
 	for i in $(buildvers); do \
-		python$$i ./setup.py install --skip-build --skip-build --root $(CURDIR)/debian/cecilia --install-layout=deb; \
+		python$$i ./setup.py install --no-compile --skip-build --root $(CURDIR)/debian/cecilia --install-layout=deb; \
 	done
 	mv  $(CURDIR)/debian/cecilia/usr/bin/Cecilia5.py  $(CURDIR)/debian/cecilia/usr/bin/cecilia

## cecilia 5.3.5

=== debian/changelog ===
cecilia (5.3.5-1) unstable; urgency=medium

  * New upstream release. It now uses Python 3 and wxPython 4.

 -- Tiago Bortoletto Vaz <tiago@debian.org>  Tue, 31 Jul 2018 15:14:47 +0800

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: cecilia
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Tiago Bortoletto Vaz <tiago@debian.org>, Free Ekanayaka <freee@debian.org>
-Build-Depends: debhelper (>=7.0.50~), python-all, dh-python
-Standards-Version: 3.9.6
-XS-Python-Version: >= 2.6
-Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/cecilia.git
-Vcs-Git: git://git.debian.org/git/pkg-multimedia/cecilia.git
-Homepage: http://code.google.com/p/cecilia5
+Build-Depends: debhelper (>=11), dh-python, python3-minimal, python3-all
+Standards-Version: 4.1.5
+X-Python3-Version: >= 3.5
+Vcs-Browser: https://salsa.debian.org/multimedia-team/cecilia
+Vcs-Git: https://salsa.debian.org/multimedia-team/cecilia.git
+Homepage: http://ajaxsoundstudio.com/software/cecilia/
 
 Package: cecilia
 Architecture: all
-Depends: python (>= 2.6), python-pyo (>= 0.6.2), python-numpy, ${misc:Depends}
+Depends: python3 (>= 3.5), python3-pyo (>= 0.8.7), python3-numpy, python3-wxgtk4.0, ${misc:Depends}, ${python3:Depends}
 Description: Sound synthesis and audio signal processing environment
  Cecilia is a graphic user interface for the sound synthesis and sound
  processing package CSound. Cecilia enables the user to build very

=== debian/watch ===
version=3
https://ajaxsoundstudio.com/software/cecilia/ \
  https://ajaxsoundstudio.com/downloads/Cecilia5_(.*)\-src.tar\.bz2

## cecilia 5.4.0

=== debian/changelog ===
cecilia (5.4.0-1) unstable; urgency=medium

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Ondřej Nový ]
  * d/control:
    + Bump Standards-Version to 4.4.1
    + Remove ancient X-Python3-Version field
    + Remove ancient XS-Python-Version field
    + Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field

  [ Tiago Bortoletto Vaz ]
  * Fix package description. Thanks to Roberto. (Closes: #829563)
  * Update rules for recent upstream changes.
  * Minor updates on control file.

  [ Dennis Braun ]
  * New upstream release
    + Compatible with pyo@1.0.0 (Closes: #943643)
  * Provide a bigger icon in svg format (128x128)
  * d/control:
    + Use dh-compat instead of debian/compat
    + Bump dh-compat to 12
    + Bump Standards-Version to 4.5.0
    + Add me as uploader
    + Format file/text
    + Set RRR: no
  * Drop d/menu file, obsolete
  * d/copyright: Update year, add myself and format file/text
  * d/patches/: Update patchset
  * d/source/include-binaries: Drop, obsolete
  * d/watch: Update for github releases

 -- Dennis Braun <d_braun@kabelmail.de>  Sun, 09 Feb 2020 11:27:25 +0100

cecilia (5.3.5-2) UNRELEASED; urgency=medium

  * Fix package description. Thanks to Roberto. (Closes: #829563)
  * Update rules for recent upstream changes.
  * Minor updates on control file.

 -- Tiago Bortoletto Vaz <tiago@debian.org>  Sat, 27 Apr 2019 14:13:01 -0400

## cecilia 5.4.1

=== debian/changelog ===
cecilia (5.4.1-1) unstable; urgency=medium

  * New upstream version 5.4.1
  * Fix binary installation with python 3.8+
  * Provide more metadata
    + Add cecilia.appdata.xml
    + Add d/upstream/metadata
    + Add keywords to the desktop file
  * Update d/copyright year

 -- Dennis Braun <d_braun@kabelmail.de>  Wed, 02 Sep 2020 19:31:30 +0200

=== debian/control ===
Source: cecilia
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Dennis Braun <d_braun@kabelmail.de>,
 Tiago Bortoletto Vaz <tiago@debian.org>,
 Free Ekanayaka <freee@debian.org>
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 python3-minimal,
 python3-all
Rules-Requires-Root: no
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/multimedia-team/cecilia
Vcs-Git: https://salsa.debian.org/multimedia-team/cecilia.git
Homepage: http://ajaxsoundstudio.com/software/cecilia/

Package: cecilia
Architecture: all
Depends: python3 (>= 3.5), python3-pyo (>= 0.8.7), python3-numpy, python3-wxgtk4.0, ${misc:Depends}, ${python3:Depends}
Description: Sound synthesis and audio signal processing environment
 Cecilia is an audio signal processing environment aimed at sound
 designers. It lets you create your own GUI using a simple syntax and comes
 with many original built-in modules and presets for sound effects and
 synthesis.
 .
 Cecilia uses the pyo audio engine created for the Python programming language.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = cecilia
export PYTHONWARNINGS=d
export PYBUILD_INSTALL_ARGS_python3=--no-compile --skip-build --root $(CURDIR)/debian/cecilia --install-layout=deb
export PYBUILD_AFTER_INSTALL=mv  $(CURDIR)/debian/cecilia/usr/bin/Cecilia5.py  $(CURDIR)/debian/cecilia/usr/bin/cecilia

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_clean:
	find . -name '*.pyc' -delete
	rm -rf build

# not to run
override_dh_compress:
	dh_compress --exclude=.sg --exclude=.aif --exclude=.aiff

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/cecilia-$1\.tar\.gz/ \
  https://github.com/belangeo/cecilia5/releases .*/v?(\d\S+)\.tar\.gz

## cecilia 5.4.1+4bf519e

=== docs/_sources/src/intro/requirements.txt ===
Installation - Requirements
============================

Cecilia is compatible with the following systems:

- Mac OS X (from 10.9 to 10.13) 
- Windows (7, 8, 8.1, 10)
- Linux (at least Debian-based distros but should work with other linux flavours)
    

Installing Cecilia on Windows or OSX
---------------------------------------

Windows and OSX users can download self-contained binaries of the latest version of 
Cecilia `here <http://ajaxsoundstudio.com/software/cecilia/>`_.

Older binaries for the 5.3.x serie can be downloaded on `github <https://github.com/belangeo/cecilia5/releases/>`_.

Running Cecilia from the lastest sources
-------------------------------------------

Before running Cecilia from the latest sources, 
please check if all these elements are installed on your computer:

- `Python 3.5 <https://www.python.org/downloads/release/python-353/>`_ or
  `Python 3.6 <https://www.python.org/downloads/release/python-362/>`_ (preferred). 
- `Pyo 0.9.0 <http://ajaxsoundstudio.com/software/pyo/>`_
- `Numpy 1.14 <https://pypi.python.org/pypi/numpy>`_.
- `WxPython 4.0.1 <https://wxpython.org/pages/downloads/>`_ (install with `pip install wxPython`). 
- `Git client <https://git-scm.com/downloads>`_.
    
Then, you can download Cecilia's sources by checking out the source code (in a terminal window):
    
.. code-block:: bash

    git clone https://github.com/belangeo/cecilia5.git
    
This will create a folder named "cecilia5" with the source code. 
Just go inside the folder and run Cecilia!

.. code-block:: bash

    cd cecilia5
    python3 Cecilia5.py

=== debian/changelog ===
cecilia (5.4.1+4bf519e-1) unstable; urgency=medium

  * Adding upstream fix for Rect() call. Closes: #1089034
  * Removing broken patch for Python 3.8 compatibility (EOL).

 -- Tiago Bortoletto Vaz <tiago@debian.org>  Sat, 18 Oct 2025 07:23:32 -0400

cecilia (5.4.1-3) unstable; urgency=medium

  * Bump Standards-Version to 4.7.0 (no changes needed)
  * Depends on python3-setuptools. Closes: #1080571

 -- Tiago Bortoletto Vaz <tiago@debian.org>  Wed, 23 Oct 2024 16:38:14 -0400

cecilia (5.4.1-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from old 12 to 13.

  [ Tiago Bortoletto Vaz ]
  * Update standards version to 4.6.2
  * Cleaning after build to avoid breaking Debian Policy section 4.9.
    Closes: #1043678
  * Update watch file

 -- Tiago Bortoletto Vaz <tiago@debian.org>  Wed, 13 Sep 2023 06:13:02 -0400

=== debian/control ===
--- 
+++ 
@@ -7,12 +7,13 @@
  Tiago Bortoletto Vaz <tiago@debian.org>,
  Free Ekanayaka <freee@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  python3-minimal,
- python3-all
+ python3-all,
+ python3-setuptools
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/multimedia-team/cecilia
 Vcs-Git: https://salsa.debian.org/multimedia-team/cecilia.git
 Homepage: http://ajaxsoundstudio.com/software/cecilia/

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 override_dh_auto_clean:
 	find . -name '*.pyc' -delete
-	rm -rf build
+	rm -rf build .pybuild cecilia.egg-info
 
 # not to run
 override_dh_compress:
